Imager::Handy(3pm)

NAME
Imager::Handy - simple access to common functions

SYNOPSIS
  use Imager ':handy';
  my $color = NC(255, 0, 0);
  my $font = NF(1.0, 0, 0);

DESCRIPTION
If you use Imager with the ":handy" import tag, it will export a number of functions that can shorter your code.

NC()
newcolor()
newcolour()
    Create a new Imager::Color object, supplying any parameters to the new() method.

      my $color = NC('red');

NF()
newfont()
    Create a new Imager::Font object, supplying any parameters to the new() method.

      my $font = NF(file => 'foo.ttf');

NCF()
    Create a new Imager::Color::Float object, supplying any parameters to the new() method.

      my $colorf = NCF(1.0, 0, 0);

BUGS
NC() can be mostly replaced by supplying the color name or other description directly to the drawing method.

AUTHOR
Tony Cook <tonyc@cpan.org>